#pragma once

// C++ system level
// #include <functional>

// ESP32 specific
// #include "esp_log.h"

// project specific
#include "SpiderLib/NumberTypes.hpp"



namespace SiliconTorch {

  namespace Impl {

    // Checks CyanBus CRC
    // seems to work against Crc32Posix from python crccheck package
    bool checkCRC(u8* buffer, u32 length);

  }

}
